# $Id: smeserver-denyhosts.spec,v 1.9 2008/04/27 18:08:42 snetram Exp $
# Authority: unnilennium
# Name: Jean-Philippe Pialasse 

Summary: smeserver-denyhosts
%define name smeserver-denyhosts
%define version 2.6
%define release 8
Name:                   %{name}
Version: 		%{version}
Release: 		%{release}%{?dist}
License: 		GPL
Group: 			Applications/System
Source: 		%{name}-%{version}.tgz
Patch0:                 smeserver-denyhosts-2.6-locale-2008-04-22.patch
Patch1:                 smeserver-denyhosts-2.6-locale-2008-04-23.patch
Patch2:	                smeserver-denyhosts-2.6-patch2.patch
Patch3:	                smeserver-denyhosts-2.6-patch3.patch
Patch4:                 smeserver-denyhosts-2.6-add2general.patch
Url: 			http://smeserver.pialasse.com/
BuildRoot:              /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArch:		noarch
BuildRequires:          e-smith-devtools >= 1.13.1-03
Requires:               smeserver-release >= 7.0
Requires:               denyhosts >= 2.6
Requires:               e-smith-formmagick >= 1.4.0-12

%description
Integration package to mesh denyhosts with SME Server.

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
/usr/bin/perl createlinks

%install
/bin/rm -rf $RPM_BUILD_ROOT
(cd root   ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root,-)

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch /etc/hosts.deny_ssh

%changelog
* Sun Apr 27 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 2.6-8
- Add common <base> tags to e-smith-formmagick's general
- Fix referrals to the SME Server Bug Tracker

* Tue Apr 24 2008 JP PIALASSE <tests@pialasse.Com> 2.6-7
- stop when disable service [SME: 4528]
- adding local 

* Wed Apr 23 2008 JP PIALASSE <tests@pialasse.com> 2.6-6
- Added 23 APril 2008 local patch
- changed fragment SMTP_FROM to add domain name
- changed fragment ADMIN_EMAIL
- added some FM in local to translate

* Tue Apr 22 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 2.6-5
- Added 22 April 2008 locale patch

* Tue Apr 22 2008 Shad L. Lords <slords@mail.com> 2.6-4.sme
- Pull out all denyhosts stuff
- Template needed files
- Add database defaults
- Split panel to use correct FormMagick style

* Mon Mar 31 2008 JP PIALASSE tests@pialasse.com  2.6-0.3
- bug in install scriptlet corrected
- bug about XML error on install corrected

* Sun Mar 30 2008 JP PIALASSE tests@pialasse.com  2.6-0.2
- incorrect template name for hosts.allow corrected

* Sat Mar 29 2008 JP PIALASSE tests@pialasse.com  2.6-0.1
- first package for SME from denyhosts src rpm for fedora core  4
- panel for server-manager
